#
# spec file for package kubecolor
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           kubecolor
Version:        0.5.1
Release:        1.1
Summary:        Colorize your kubectl output
License:        MIT
URL:            https://kubecolor.github.io/
Source0:        %{name}-%{version}.tar.zst
Source1:        vendor.tar.gz
BuildRequires:  golang(API) >= 1.23
Requires:       kubernetes-client-provider

%description
A command-line wrapper used to add colors to your kubectl output

%prep
%autosetup -p 1 -a 1

%build
go build \
    -mod=vendor \
    -buildmode=pie \
    -ldflags="-X 'main.Version=%{version}'"

%install
install -Dm755 %{name} %{buildroot}%{_bindir}/%{name}

%files
%{_bindir}/%{name}
%license LICENSE
%doc README.md

%changelog
* Thu Apr 24 2025 Johannes Kastl <opensuse_buildservice@ojkastl.de>
- Update to version 0.5.1:
  * Added labeler (#237)
  * Fix excess base64 in release workflow (#236)
  * Fix git tagging in release workflow (#235)
  * Add CODEOWNERS (#232)
  * Change generated config docs (#233)
  * Merge CI workflows into the same workflow file (#231)
  * Added build attestations (#230)
  * DEB & RPM packaging (#229)
  * Use draft releases when releasing new versions (#228)
  * Update Go to 1.24.2 (#227)
  * Bump github.com/spf13/viper from 1.20.0 to 1.20.1 in the all
    group (#223)
  * Move test-cluster to test/cluster (#222)
  * Bump the all group with 2 updates (#218)
  * Bump github.com/google/go-cmp from 0.6.0 to 0.7.0 in the all
    group (#217)
  * Update to Go 1.23.6 (#215)
  * Bump k8s.io/apimachinery from 0.32.1 to 0.32.2 in the all group
    (#214)
  * Bump the all group with 2 updates (#212)
* Fri Mar 21 2025 Johannes Kastl <opensuse_buildservice@ojkastl.de>
- drop golang-packaging and zstd build dependencies
- remove '-s -w' to not disable stripping (this make debuginfo
  unavailable)
* Fri Mar 14 2025 Jan Kužílek <jan.kuzilek@suse.com>
- Initial release
